stages:
  - fetch
  - download
  - deploy

fetch:
  stage: fetch
  image: golang:1.12
  script:
    - git clone https://gitlab.com/kirafan/assets/unpacker.git
    - cd unpacker
    - scripts/fetch.sh
  artifacts:
    paths:
      - unpacker

download-0:
  stage: "download"
  image: python:3.8
  cache:
    key: download-0
    paths:
      - unpacker/cache
      - unpacker/assets
  artifacts:
    paths:
      - unpacker/assets
  script:
    - pip install unitypack unicorn
    - cd unpacker
    - python main.py $(./krrrvh) '^(adv/script)' --type json -j=0/8

download-1:
  stage: "download"
  image: python:3.8
  cache:
    key: download-1
    paths:
      - unpacker/cache
      - unpacker/assets
  artifacts:
    paths:
      - unpacker/assets
  script:
    - pip install unitypack unicorn
    - cd unpacker
    - python main.py $(./krrrvh) '^(adv/script)' --type json -j=1/8

download-2:
  stage: "download"
  image: python:3.8
  cache:
    key: download-2
    paths:
      - unpacker/cache
      - unpacker/assets
  artifacts:
    paths:
      - unpacker/assets
  script:
    - pip install unitypack unicorn
    - cd unpacker
    - python main.py $(./krrrvh) '^(adv/script)' --type json -j=2/8

download-3:
  stage: "download"
  image: python:3.8
  cache:
    key: download-3
    paths:
      - unpacker/cache
      - unpacker/assets
  artifacts:
    paths:
      - unpacker/assets
  script:
    - pip install unitypack unicorn
    - cd unpacker
    - python main.py $(./krrrvh) '^(adv/script)' --type json -j=3/8

download-4:
  stage: "download"
  image: python:3.8
  cache:
    key: download-4
    paths:
      - unpacker/cache
      - unpacker/assets
  artifacts:
    paths:
      - unpacker/assets
  script:
    - pip install unitypack unicorn
    - cd unpacker
    - python main.py $(./krrrvh) '^(adv/script)' --type json -j=4/8

download-5:
  stage: "download"
  image: python:3.8
  cache:
    key: download-5
    paths:
      - unpacker/cache
      - unpacker/assets
  artifacts:
    paths:
      - unpacker/assets
  script:
    - pip install unitypack unicorn
    - cd unpacker
    - python main.py $(./krrrvh) '^(adv/script)' --type json -j=5/8

download-6:
  stage: "download"
  image: python:3.8
  cache:
    key: download-6
    paths:
      - unpacker/cache
      - unpacker/assets
  artifacts:
    paths:
      - unpacker/assets
  script:
    - pip install unitypack unicorn
    - cd unpacker
    - python main.py $(./krrrvh) '^(adv/script)' --type json -j=6/8

download-7:
  stage: "download"
  image: python:3.8
  cache:
    key: download-7
    paths:
      - unpacker/cache
      - unpacker/assets
  artifacts:
    paths:
      - unpacker/assets
  script:
    - pip install unitypack unicorn
    - cd unpacker
    - python main.py $(./krrrvh) '^(adv/script)' --type json -j=7/8

pages:
  stage: "deploy"
  artifacts:
    paths:
      - public
  script:
    - mv unpacker/assets/app/staticresources/bundlesource/adv/script public
